运维开发网

在Ubuntu 18.10/16.04/Linux Mint 18系统中安装Wine 4的说明

运维开发网 https://www.qedev.com 2021-01-07 16:43 出处:云网牛站 作者:戴进
如果你使用的Linux发行版是Ubuntu 18.10、Ubuntu 16.04、Linux Mint 18,需要安装Wine 4,如果采用命令的方式别的Linux发行版能成功的它们不一定能安装成功,整体上来看是某个命令不相同,其它

如果你使用的Linux发行版是Ubuntu 18.10、Ubuntu 16.04、Linux Mint 18,需要安装Wine 4,如果采用命令的方式别的Linux发行版能成功的它们不一定能安装成功,整体上来看是某个命令不相同,其它命令是一样的,主要是Wine存储库不一样,下面做一说明。

在Ubuntu 18.10/16.04/Linux Mint 18系统中安装Wine 4的说明

 

Wine 4.0更新说明

当前安装的版本是稳定版Wine 4.0,该版本有超过6000个个人更改,主要提供更好的游戏兼容,Wine 4.0新的依赖项有当前Vulkan库用于实现Vulkan图形驱动程序、 Vkd3d库用于在Vulkan之上实现Direct3D 12、SDL库用于支持游戏控制器、GSSAPI库用于实现Kerberos身份验证,详情可看下图:

在Ubuntu 18.10/16.04/Linux Mint 18系统中安装Wine 4的说明

 

在Ubuntu 18.10/16.04/Linux Mint 18系统中安装Wine 4的说明

方法和在Ubuntu 18.04/Linux Mint 19中安装Wine 4的方法(地址:https://ywnz.com/Linuxjc/4117.html)是一样的,所不同的是添加Wine存储库这里,因为Linux Mint 19基于Ubuntu 18.04,所以存储库可以是一样的,它们互为通用,但是在Ubuntu 18.10/16.04/Linux Mint 18中就不能使用了。

1、如果是Ubuntu 18.10系统,请添加存储库地址为:

sudo apt-add-repository 'deb https://dl.winehq.org/wine-builds/ubuntu/ cosmic main'

2、如果是Ubuntu 16.04、Linux Mint 18系统,请添加存储库地址为:

sudo apt-add-repository 'deb https://dl.winehq.org/wine-builds/ubuntu/ xenial main'

添加存储库后就可以执行sudo apt install --install-recommends winehq-stable命令安装了,安装成功后的版本是Wine 4.0。下面是整个安装过程的截图:

在Ubuntu 18.10/16.04/Linux Mint 18系统中安装Wine 4的说明

 

0

精彩评论

暂无评论...
验证码 换一张
取 消